import { connect } from 'react-redux';
import * as actionCreators from './actions';
import * as constants from './constants';
import reducer from './reducer';
import * as selectors from './selectors';

const mapState = store => {
  const storeObj = store.toJS();
  return {
    global: storeObj.global,
    auth: storeObj.global.auth,
    userMode: storeObj.global.userMode,
  };
};
const mapDispatch = dispatch => ({
  setAuth: auth => dispatch(actionCreators.setAuth(auth)),
  logout: () => dispatch(actionCreators.setAuth([])),
  setUserMode: userMode => dispatch(actionCreators.setUserMode(userMode)),
});

const appConnector = connect(
  mapState,
  mapDispatch,
);
export { actionCreators, constants, reducer, selectors, appConnector };
