import React, { useState, useEffect } from 'react';
import { Card, Tabs } from 'antd';
import ProCard from '@ant-design/pro-card';
import { PageContainer } from '@ant-design/pro-layout';
import { miniAppSiteTree } from '@/services/mobileConfig/api';
import SiteConfig from './SiteConfig';
import MenuConfig from './menuconfig/MenuConfig';
const { TabPane } = Tabs;
const MobileConfigPage = props => {
  const [activeKey, setActiveKey] = useState('0'); // tabs活动页
  const [miniTitle, setMiniTitle] = useState('');
  const [flag, setFlag] = useState(1);
  useEffect(() => {
    miniAppSiteTree({
      userMode: 'admin',
      select: '',
      _version: 9999,
      _dc: new Date().getTime(),
      node: -2,
    }).then(res => {
      if (res) {
        const title = res[0].children[0].text || '熊猫掌天下小程序';
        setMiniTitle(title);
      }
      console.log(res);
    });
  }, [flag]);
  // 修改选中的tab
  const handleChange = key => {
    setActiveKey(key);
  };
  const tabArr = [
    {
      title: '网站配置',
      key: '0',
      component: <SiteConfig miniTitle={miniTitle} />,
    },
    {
      title: '菜单管理',
      key: '1',
      component: <MenuConfig />,
    },
  ];
  return (
    <PageContainer>
      <ProCard>
        <Tabs activeKey={activeKey} type="card" onChange={handleChange}>
          {tabArr?.length > 0 &&
            tabArr.map(item => (
              <TabPane tab={item.title} key={item.key}>
                {activeKey === item.key && item.component}
              </TabPane>
            ))}
        </Tabs>
      </ProCard>
    </PageContainer>
  );
};

export default MobileConfigPage;
