import React, { useEffect, useState } from 'react';
import { PageContainer } from '@ant-design/pro-layout';
import { Tabs } from 'antd';
import { getWebModuleTree } from '@/services/webConfig/api';
import styles from './index.less';
import SiteConfig from './components/siteConfigDrawer';
import { appConnector } from '@/containers/App/store';
const { TabPane } = Tabs;

const getMenuTree = userMode =>
  getWebModuleTree(userMode || 'super').then(res => console.log(res));

const WebConfigPage = props => {
  const [configVisible, setConfigVisible] = useState(false);
  const [loading, setLoading] = useState(false);
  const [menuTree, setMenuTree] = useState({ children: [] });
  const [configObj, setConfigObj] = useState({});
  const renderPage = () => {};

  useEffect(() => {
    getMenuTree(props.userMode).then(res => {
      setMenuTree(res);
      setLoading(false);
    });
  }, []);

  const renderTabPane = tabPaneItem => (
    <TabPane key={tabPaneItem.id} tab={tabPaneItem.text} />
  );

  const onEdit = (targetKey, action) => {
    // console.log(targetKey, action); // action: add|remove
    switch (action) {
      case 'add':
        setConfigVisible(true);
        break;
      case 'remove':
        break;
      default:
    }
  };

  const onDrawerClose = form => {
    setConfigVisible(false);
  };

  return (
    <PageContainer loading={loading}>
      <div className={styles.webConfigContainer}>
        <Tabs type="editable-card" onEdit={onEdit}>
          {menuTree?.children?.map(renderTabPane)}
        </Tabs>
        <SiteConfig
          visible={configVisible}
          onClose={onDrawerClose}
          config={configObj}
          hasIntegerate={false}
        />
      </div>
    </PageContainer>
  );
};

export default appConnector(WebConfigPage);
